<!DOCTYPE html>

<html lang="en" data-content_root="./">
  <head>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="viewport" content="width=device-width, initial-scale=1" />

    <title>sagace.exceptions.application package &#8212; sagace 2025 documentation</title>
    <link rel="stylesheet" type="text/css" href="_static/pygments.css?v=5ecbeea2" />
    <link rel="stylesheet" type="text/css" href="_static/basic.css?v=b08954a9" />
    <link rel="stylesheet" type="text/css" href="_static/alabaster.css?v=27fed22d" />
    <script src="_static/documentation_options.js?v=cb975c41"></script>
    <script src="_static/doctools.js?v=9bcbadda"></script>
    <script src="_static/sphinx_highlight.js?v=dc90522c"></script>
    <link rel="index" title="Index" href="genindex.html" />
    <link rel="search" title="Search" href="search.html" />
    <link rel="next" title="sagace.exceptions.domain package" href="sagace.exceptions.domain.html" />
    <link rel="prev" title="sagace.exceptions package" href="sagace.exceptions.html" />
   
  <link rel="stylesheet" href="_static/custom.css" type="text/css" />
  

  
  

  </head><body>
  

    <div class="document">
      <div class="documentwrapper">
        <div class="bodywrapper">
          

          <div class="body" role="main">
            
  <section id="sagace-exceptions-application-package">
<h1>sagace.exceptions.application package<a class="headerlink" href="#sagace-exceptions-application-package" title="Link to this heading">¶</a></h1>
<section id="submodules">
<h2>Submodules<a class="headerlink" href="#submodules" title="Link to this heading">¶</a></h2>
</section>
<section id="module-sagace.exceptions.application.application_error">
<span id="sagace-exceptions-application-application-error-module"></span><h2>sagace.exceptions.application.application_error module<a class="headerlink" href="#module-sagace.exceptions.application.application_error" title="Link to this heading">¶</a></h2>
<hr class="docutils" />
<section id="descricao">
<h3>Descrição:<a class="headerlink" href="#descricao" title="Link to this heading">¶</a></h3>
<p>Este módulo define uma classe base para exceções na camada de aplicação do sistema SAGACE.
A classe <cite>ApplicationError</cite> serve como a classe pai para todas as exceções relacionadas à aplicação,
fornecendo uma estrutura centralizada para tratamento de erros.</p>
<p>Principais funcionalidades:</p>
<ul class="simple">
<li><p>Define uma exceção base para a aplicação.</p></li>
<li><p>Pode ser herdada por outras exceções específicas do domínio.</p></li>
</ul>
<p>Princípios de Design Aplicados:</p>
<ul class="simple">
<li><p><strong>Single Responsibility Principle (SRP - SOLID)</strong>: A classe tem a única responsabilidade de representar erros na aplicação.</p></li>
<li><p><strong>Open/Closed Principle (OCP - SOLID)</strong>: <cite>ApplicationError</cite> pode ser estendida sem modificação do código-fonte existente.</p></li>
</ul>
<p>Classes:</p>
<ul class="simple">
<li><p><code class="docutils literal notranslate"><span class="pre">ApplicationError</span></code>: Exceção base para erros na camada de aplicação.</p></li>
</ul>
<p>Exemplo de uso:</p>
<div class="highlight-python notranslate"><div class="highlight"><pre><span></span><span class="kn">from</span><span class="w"> </span><span class="nn">sagace.exceptions</span><span class="w"> </span><span class="kn">import</span> <span class="n">ApplicationError</span>

<span class="k">class</span><span class="w"> </span><span class="nc">CustomError</span><span class="p">(</span><span class="n">ApplicationError</span><span class="p">):</span>
    <span class="c1"># Exceção específica do domínio da aplicação.</span>
    <span class="k">pass</span>

<span class="k">try</span><span class="p">:</span>
    <span class="k">raise</span> <span class="n">CustomError</span><span class="p">(</span><span class="s2">&quot;Ocorreu um erro na aplicação.&quot;</span><span class="p">)</span>
<span class="k">except</span> <span class="n">ApplicationError</span> <span class="k">as</span> <span class="n">e</span><span class="p">:</span>
    <span class="nb">print</span><span class="p">(</span><span class="sa">f</span><span class="s2">&quot;Erro capturado: </span><span class="si">{</span><span class="n">e</span><span class="si">}</span><span class="s2">&quot;</span><span class="p">)</span>
</pre></div>
</div>
<p>Autor: Diego Yosiura
Última Atualização: 27/02/2025 16:05
Criado em: 27/02/2025 16:05
Copyright: (c) Ampere Consultoria Ltda
Projeto Original: sagace-v2-package
IDE: PyCharm</p>
</section>
<dl class="py exception">
<dt class="sig sig-object py" id="sagace.exceptions.application.application_error.ApplicationError">
<em class="property"><span class="k"><span class="pre">exception</span></span><span class="w"> </span></em><span class="sig-prename descclassname"><span class="pre">sagace.exceptions.application.application_error.</span></span><span class="sig-name descname"><span class="pre">ApplicationError</span></span><a class="reference internal" href="_modules/sagace/exceptions/application/application_error.html#ApplicationError"><span class="viewcode-link"><span class="pre">[source]</span></span></a><a class="headerlink" href="#sagace.exceptions.application.application_error.ApplicationError" title="Link to this definition">¶</a></dt>
<dd><p>Bases: <code class="xref py py-class docutils literal notranslate"><span class="pre">Exception</span></code></p>
<p>Exceção base para erros na camada de aplicação.</p>
<p>Esta classe deve ser utilizada como classe base para definir novas exceções específicas da aplicação.</p>
<p>Princípios aplicados:
- <strong>Single Responsibility Principle (S - SOLID)</strong>: Representa exclusivamente erros da aplicação.
- <strong>Open/Closed Principle (O - SOLID)</strong>: Pode ser estendida para criar novas exceções sem modificar seu código-fonte.</p>
</dd></dl>

</section>
<section id="module-sagace.exceptions.application">
<span id="module-contents"></span><h2>Module contents<a class="headerlink" href="#module-sagace.exceptions.application" title="Link to this heading">¶</a></h2>
<hr class="docutils" />
<section id="description">
<h3>Description:<a class="headerlink" href="#description" title="Link to this heading">¶</a></h3>
<p>Obs.:</p>
<p>Author:           &#64;diego.yosiura
Last Update:      27/02/2025 16:03
Created:          27/02/2025 16:03
Copyright:        (c) Ampere Consultoria Ltda
Original Project: sagace-v2-package
IDE:              PyCharm</p>
</section>
</section>
</section>


          </div>
          
        </div>
      </div>
      <div class="sphinxsidebar" role="navigation" aria-label="Main">
        <div class="sphinxsidebarwrapper">
<h1 class="logo"><a href="index.html">sagace</a></h1>









<search id="searchbox" style="display: none" role="search">
    <div class="searchformwrapper">
    <form class="search" action="search.html" method="get">
      <input type="text" name="q" aria-labelledby="searchlabel" autocomplete="off" autocorrect="off" autocapitalize="off" spellcheck="false" placeholder="Search"/>
      <input type="submit" value="Go" />
    </form>
    </div>
</search>
<script>document.getElementById('searchbox').style.display = "block"</script><h3>Navigation</h3>
<p class="caption" role="heading"><span class="caption-text">Conteúdo:</span></p>
<ul class="current">
<li class="toctree-l1 current"><a class="reference internal" href="modules.html">sagace</a><ul class="current">
<li class="toctree-l2 current"><a class="reference internal" href="sagace.html">sagace package</a></li>
</ul>
</li>
</ul>

<div class="relations">
<h3>Related Topics</h3>
<ul>
  <li><a href="index.html">Documentation overview</a><ul>
  <li><a href="modules.html">sagace</a><ul>
  <li><a href="sagace.html">sagace package</a><ul>
  <li><a href="sagace.exceptions.html">sagace.exceptions package</a><ul>
      <li>Previous: <a href="sagace.exceptions.html" title="previous chapter">sagace.exceptions package</a></li>
      <li>Next: <a href="sagace.exceptions.domain.html" title="next chapter">sagace.exceptions.domain package</a></li>
  </ul></li>
  </ul></li>
  </ul></li>
  </ul></li>
</ul>
</div>








        </div>
      </div>
      <div class="clearer"></div>
    </div>
    <div class="footer">
      &#169;2025, Ampere Consultoria.
      
      |
      Powered by <a href="https://www.sphinx-doc.org/">Sphinx 8.2.1</a>
      &amp; <a href="https://alabaster.readthedocs.io">Alabaster 1.0.0</a>
      
      |
      <a href="_sources/sagace.exceptions.application.rst.txt"
          rel="nofollow">Page source</a>
    </div>

    

    
  </body>
</html>